Subject: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Jan 2014 22:06:14 +0200

> Date: Sun, 05 Jan 2014 12:02:48 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Eli Zaretskii wrote:
> >   Try this:
> >
> >    $ LC_CTYPE=sv_SE.ISO8859-1 ./src/emacs -Q
> >    C-u C-h i info/htmlfontify.info RET
> >    g Interactive RET
> 
> That's a longstanding problem.  For example,
> if I run this in an Emacs-24.3 source tree:
> 
>       $ LC_ALL=sv_SE.ISO8859-1 ./src/emacs -Q
>       C-u C-h i info/dbus.info RET
>       g Type Conversion RET M->
> 
> I see a "Ã¿" that should be a "ÿ".
> 
> As I understand it this problem doesn't occur often,
> and is limited to the now-rare users who employ
> unibyte locales.  If so, it's not urgent to fix this
> longstanding problem now.

But the fix (for the next release) is easy and safe: just add an
appropriate @documentencoding.  So I don't see why we should avoid
fixing this.